FROM python:3.11-slim-bullseye

WORKDIR /app

RUN apt update \
    && apt install -y --no-install-recommends gdal-bin \
    && rm -rf /var/lib/apt/lists/* \
    && apt clean

COPY ./requirements.txt /app/requirements.txt

RUN pip install -U --no-cache-dir -r requirements.txt

COPY . /app
